## ksplash-engine-moodin-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( ksplash-engine-moodin )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## ksplash-engine-moodin-trinity 3.5.13.2

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:3.5.13.2-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:45:05 +0200

ksplash-engine-moodin-trinity (0.4.2-1ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

ksplash-engine-moodin-trinity (0.4.2-1ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 06 Mar 2009 13:36:00 -0600

ksplash-engine-moodin-trinity (0.4.2-1ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 04 Dec 2008 17:37:00 -0600

ksplash-engine-moodin (0.4.2-1ubuntu6) hardy; urgency=low

  * Added kubuntu_05_disable_cache.diff - disables Moodin's caching of themes
    in home directory (LP: #129126). Many thanks to Michael
    Ummels <michael@ummels.de>.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.
  * Updated Standards-Version to 3.7.3.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Wed, 26 Mar 2008 20:57:22 +0100

ksplash-engine-moodin (0.4.2-1ubuntu5) gutsy; urgency=low

  * Updated kubuntu_02_our_theme.diff to fix icon spacing on
    twin monitor setups.  Thanks to David Solbach

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Oct 2007 12:07:08 +0100

ksplash-engine-moodin (0.4.2-1ubuntu4) feisty; urgency=low

  * Add kubuntu_04_effect_transparency.diff:
    - Closes Malone #59566

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 03 Apr 2007 14:23:21 +0100

ksplash-engine-moodin (0.4.2-1ubuntu3) edgy; urgency=low

  * Edit kubuntu_02_our_theme.diff to make icons fit current theme by
    being on one line

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Sep 2006 13:04:17 +0100

ksplash-engine-moodin (0.4.2-1ubuntu2) edgy; urgency=low

  * Update kubuntu_02_our_theme.diff to support DebianStyle in Theme.rc 
  * Bump Standards-Version to 3.7.2

 -- Raphaël Pinson <raphink@ubuntu.com>  Thu, 14 Sep 2006 17:20:38 +0200

ksplash-engine-moodin (0.4.2-1ubuntu1) edgy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri,  7 Jul 2006 11:09:30 +0000

ksplash-engine-moodin (0.4.2-1) unstable; urgency=low

  * Initial release Closes: #329690

 -- Fathi Boudra <fboudra@free.fr>  Wed, 21 Sep 2005 20:29:39 +0200

ksplash-engine-moodin (0.4.2-0ubuntu7) dapper; urgency=low

  * Added kubuntu_03_iconfix.diff: fixes MoodinKDE's KMenu icon and
    reduces icon size to remove pixelising. (Closes: Malone #39651)
  * Update maintainer email.
  * Increased debhelper build-dep and compat level to 5.

 -- Jonathan Patrick Davies <jpatrick@ubuntu.com>  Sat, 15 Apr 2006 17:01:34 +0200

ksplash-engine-moodin (0.4.2-0ubuntu6) dapper; urgency=low

  * Update kubuntu_02_our_theme.diff to scale 
    icon positions correctly

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Mar 2006 17:38:14 +0000

ksplash-engine-moodin (0.4.2-0ubuntu5) dapper; urgency=low

  * Update kubuntu_02_our_theme.diff to not 
    scale background on kubuntu theme

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Mar 2006 21:03:48 +0000

ksplash-engine-moodin (0.4.2-0ubuntu4) dapper; urgency=low

  * Fix debian/rules to apply patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Mar 2006 00:07:44 +0000

ksplash-engine-moodin (0.4.2-0ubuntu3) dapper; urgency=low

  * Add kubuntu_02_our_theme.diff, changes for Debian theme
    show central dialogue and don't scale images

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu,  9 Mar 2006 12:43:03 +0000

ksplash-engine-moodin (0.4.2-0ubuntu2) dapper; urgency=low

  * Rebuild for libstdc++ transition
  * Alter debian/rules for .pot generation and add kubuntu_01_kdepot.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 11 Dec 2005 22:53:51 +0000

ksplash-engine-moodin (0.4.2-0ubuntu1) dapper; urgency=low

  * Initial release.
  * Removed SVN source in source.
  * Removed /debian dir in source.
  * Sponsored upload for Jonathan Patrick Davies <jpatrickdavies@gmail.com>

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Nov 2005 21:03:40 +0100

=== debian/control ===
Source: ksplash-engine-moodin-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 5.0.24), quilt, autotools-dev, kdebase-trinity-dev, ksplash-trinity, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ksplash-engine-moodin-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fading splash screen engine for Trinity
 Heavily customizable engine for various types of themes.
 .
 Features:
  * scale cache
  * fading images
  * use current icon set or custom images
  * unlimited Custom text labels
  * set fading delay and length
  * custom image arrangement
  * resolution independent themes
 .
 This KDE splash screen engine is based upon Linspire's
 engine by Sean Meiners <Sean.Meiners@LinspireInc.com>
 .
 Homepage: http://moodwrod.com

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

-include debian/debiandirs

# To be used with kde-style admin subdirectories if desired.
debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

config.status: configure
	dh_testdir
	
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(configkde) --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

build: build-stamp

build-stamp:  config.status
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

	-$(MAKE) distclean

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean  

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/ksplash-engine-moodin-trinity

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.bz2 -X.css -X.dcl -X.docbook -X-license -X.tag
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ksplash-engine-moodin-trinity 14.0.4

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:44:47 +0200

## ksplash-engine-moodin-trinity 14.0.5

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:21:46 +0200

=== debian/control ===
Source: ksplash-engine-moodin-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, tdebase-trinity-dev, ksplash-trinity, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: ksplash-engine-moodin-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ksplash-engine-moodin-kde3 (<< 4:14.0.0~), ksplash-engine-moodin-trinity (<< 4:14.0.0~)
Breaks: ksplash-engine-moodin-kde3 (<< 4:14.0.0~), ksplash-engine-moodin-trinity (<< 4:14.0.0~)
Description: fading splash screen engine for Trinity
 Heavily customizable engine for various types of themes.
 .
 Features:
  * scale cache
  * fading images
  * use current icon set or custom images
  * unlimited Custom text labels
  * set fading delay and length
  * custom image arrangement
  * resolution independent themes
 .
 This TDE splash screen engine is based upon Linspire's
 engine by Sean Meiners <Sean.Meiners@LinspireInc.com>
 .
 Homepage: http://moodwrod.com

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -36,24 +36,35 @@
 debian/debiandirs: admin/debianrules
 	perl -w admin/debianrules echodirs > debian/debiandirs
 
-config.status: configure
+config.status:
 	dh_testdir
+
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
+	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
+	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
+	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub admin/config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess admin/config.guess
+endif
+
+	make -f admin/Makefile.common cvs
+	touch debian/stamp-bootstrap
 	
-	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(configkde) --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde
+	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(configkde) --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde
 
 build: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
-
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
-	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
-	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
-	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
-
-	make -f admin/Makefile.common cvs
-	touch debian/stamp-bootstrap
 
 	$(MAKE)
 
@@ -62,27 +73,11 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp
 
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
-	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
-	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
-	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
+	[ ! -f Makefile ] || $(MAKE) distclean
 
-	make -f admin/Makefile.common cvs
-	touch debian/stamp-bootstrap
-
-	-$(MAKE) distclean
-
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
-
-	dh_clean  
+	dh_clean
 
 install: build
 	dh_testdir

## ksplash-engine-moodin-trinity 14.0.6

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, tdebase-trinity-dev, ksplash-trinity, automake, autoconf, libtool, libltdl-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, tdebase-trinity-dev, ksplash-trinity
 Standards-Version: 3.8.4
 
 Package: ksplash-engine-moodin-trinity

## ksplash-engine-moodin-trinity 14.0.8

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, tdebase-trinity-dev, ksplash-trinity
+Build-Depends: debhelper (>= 9~), cdbs, cmake, tdebase-trinity-dev, ksplash-trinity
 Standards-Version: 3.8.4
 
 Package: ksplash-engine-moodin-trinity

## ksplash-engine-moodin-trinity 14.0.9

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:11:56 +0200

## ksplash-engine-moodin-trinity 14.0.10

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Apr 2021 05:12:18 +0200

## ksplash-engine-moodin-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( ksplash-engine-moodin )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -47,7 +47,9 @@
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON )
+option( BUILD_ALL "Build all" ON                                     )
+option( BUILD_THEMES "Build themes" ${BUILD_ALL}                     )
+option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL}         )
 
 
 ##### configure checks
@@ -69,6 +71,11 @@
 add_subdirectory( src )
 
 
+##### other data ################################
+
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
+
+
 ##### write configure files
 
 configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Oct 2021 15:10:27 +0200

## ksplash-engine-moodin-trinity 14.0.12

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:50 +0100

## ksplash-engine-moodin-trinity 14.0.13

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 08:01:19 +0200

## ksplash-engine-moodin-trinity 14.1.0

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## ksplash-engine-moodin-trinity 14.1.1

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 15:03:51 +0200

=== debian/control ===
Source: ksplash-engine-moodin-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, ksplash-trinity
Standards-Version: 3.8.4

Package: ksplash-engine-moodin-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ksplash-engine-moodin-trinity (<< 4:14.0.0~)
Breaks: ksplash-engine-moodin-trinity (<< 4:14.0.0~)
Description: fading splash screen engine for Trinity
 Heavily customizable engine for various types of themes.
 .
 Features:
  * scale cache
  * fading images
  * use current icon set or custom images
  * unlimited Custom text labels
  * set fading delay and length
  * custom image arrangement
  * resolution independent themes
 .
 This TDE splash screen engine is based upon Linspire's
 engine by Sean Meiners <Sean.Meiners@LinspireInc.com>
 .
 Homepage: http://moodwrod.com

## ksplash-engine-moodin-trinity 14.1.2

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:51 +0200

## ksplash-engine-moodin-trinity 14.1.3

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:46:38 +0200

## ksplash-engine-moodin-trinity 14.1.4

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 23:37:00 +0200

## ksplash-engine-moodin-trinity 14.1.5~pre0

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for f3f0ac0ac19fa4fc846a9ec2cc52d55f1d940689
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ksplash-engine-moodin-trinity 14.1.5

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fboudra@free.fr>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, ksplash-trinity
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, ksplash-trinity
 Standards-Version: 3.8.4
 
 Package: ksplash-engine-moodin-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: ksplash-engine-moodin-trinity (<< 4:14.0.0~)
-Breaks: ksplash-engine-moodin-trinity (<< 4:14.0.0~)
+Replaces: ksplash-engine-moodin-kde3 (<< 4:14.0.0~), ksplash-engine-moodin-trinity (<< 4:14.0.0~)
+Breaks: ksplash-engine-moodin-kde3 (<< 4:14.0.0~), ksplash-engine-moodin-trinity (<< 4:14.0.0~)
 Description: fading splash screen engine for Trinity
  Heavily customizable engine for various types of themes.
  .

## ksplash-engine-moodin-trinity 14.1.6~pre0

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f3f0ac0ac19fa4fc846a9ec2cc52d55f1d940689
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## ksplash-engine-moodin-trinity 14.1.6~pre1

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9280100a04006fc3e61a9ac83695cf571d11a72b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:14:55 +0100

## ksplash-engine-moodin-trinity 14.2.0~pre45

=== src/CMakeLists.txt ===
tde_conditional_add_subdirectory( BUILD_THEMES themes )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TDE_INCLUDE_DIR}/ksplash
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ksplashmoodin (kpart)

tde_add_kpart( ksplashmoodin AUTOMOC

  SOURCES
        thememoodin.cpp
        effectwidget.cpp
        cache.cpp
        magiclabel.cpp
        scaler.cpp
  LINK
     tdecore-shared
     tdeui-shared
     ksplashthemes
     
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE ksplashmoodin.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.2.0~pre45-0raspbian13.0.0+6) raspbian-trixie; urgency=low

  * Automated git build for 7abe7252ec4bbecf5721a3e36f313cab863db0f8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: ksplash-engine-moodin-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: ksplash-engine-moodin-kde3 (<< 4:14.0.0~), ksplash-engine-moodin-trinity (<< 4:14.0.0~)
-Breaks: ksplash-engine-moodin-kde3 (<< 4:14.0.0~), ksplash-engine-moodin-trinity (<< 4:14.0.0~)
+Replaces: ksplash-engine-moodin-trinity (<< 4:14.0.0~)
+Breaks: ksplash-engine-moodin-trinity (<< 4:14.0.0~)
 Description: fading splash screen engine for Trinity
  Heavily customizable engine for various types of themes.
  .

## ksplash-engine-moodin-trinity 14.2.0~pre46

=== debian/changelog ===
ksplash-engine-moodin-trinity (4:14.2.0~pre46-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 2cd1a3210ff1700fd3166ac77b608a4691a7c912
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#ksplash-engine-moodin

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:11:06 +0100
